<?php
#-----------------------------------------------------#
#          ********* Бизнес Сайты *********           #
#             Made by   :  BIZON                      #
#               E-mail  :  blin.alex@bk.ru            #
#                 Site  :  http://f913218p.bget.ru    #
#  Вы не имеете право вносить изменения в код скрипта #
#      это может повлечь неработоспособность сайта    #
#-----------------------------------------------------#
if($numaz==0){
////////////////////////////////////////////////////////////// Навигация
echo'<div class="wrapper">';
echo'<div id="breadcrumb">';
echo'<ul>';
echo'<li class="first">Авторизация</li>';
//echo'<li>&#187;</li>';                        //// Не риалезовано
//echo'<li><a href="#">Забыли пароль</a></li>';
echo'</ul>';
echo'</div></div>';
///////////////////////////////////////////////////////////// Середина
echo'<div class="wrapper">';
echo'<div class="container">';
echo'<div class="content">';
/////////////////////////////////
if(!empty($error_a))echo'<div class="error">'.$error_a.'</div>';
echo'<form id="loginForm" action="/?p='.$pages.'&'.SID.'" method="post">';
echo'<div class="field">';
echo'<label>Имя пользователя:</label>';
echo'<div class="input"><input type="text" name="logen_av"/></div>';
echo'</div>';
echo'<div class="field">';
echo'<label>Пароль:</label>';
echo'<div class="input"><input type="password" name="pass_av"/></div>';
echo'</div>';
echo'<div class="submit">';
echo'<input type="hidden" name="avto_u" value="go"><button type="submit">Авторизация</button>';
//echo'<label id="remember"><input name="" type="checkbox" value="" /> Запомнить меня</label>';  /// Не реализовано
echo'</div>';
echo'</form>';
echo'</div>';
/////////////////////////////////////// Навигация
echo'<div class="column">';
echo'<div class="subnav">';
echo'<h2>Навигация</h2>';
echo'<ul>';
echo'<li><a href="/?p=reg&amp;'.SID.'">Регистрация</a></li>';
//echo'<li><a href="#">Забыли пароль</a></li>'; ///// Не реализовано
echo'<li><a href="/?p='.$pages.'&amp;st=1&amp;'.SID.'">Соглашение</a></li>';
echo'<li><a href="/?p=profil&amp;'.SID.'">Пользователи ('.coll_us().')</a></li>';
echo'<li><a href="/?p=abo&amp;'.SID.'">О нас</a></li>';
echo'</ul>';
echo'</div>';
echo'</div>';
///////////////////////////////////// низ
echo'<br class="clear" />';
echo'</div>';
echo'</div>';
}else{
////////////////////////////////////////////////////////////// Навигация
echo'<div class="wrapper">';
echo'<div id="breadcrumb">';
echo'<ul>';
if(isset($P_edit)or isset($st)){
echo'<li><a href="/?p='.$pages.'&'.SID.'">Профиль</a></li>';
echo'<li>&#187;</li>';
if(isset($P_edit))echo'<li class="first">'.$P_top.'</li>';
else
echo'<li class="first">Изменить аватар</li>';
}else{
echo'<li class="first">Профиль '.s_userdan(login).'</li>';
}
echo'</ul>';
echo'</div></div>';
///////////////////////////////////////////////////////////// Середина
echo'<div class="wrapper">';
echo'<div class="container">';
echo'<div class="content">';
/////////////////////////////////
switch($st)
{
case 1:
echo'<table summary="Summary Here" cellpadding="0" cellspacing="0" width="100%">';
if (isset($_GET['start'])){$start = (int)$_GET['start'];} else {$start = 0;}
$array_avators = array();
$globavatars = glob("images/avatar/*.gif");
foreach ($globavatars as $filename) {
if(basename($filename)=="0.gif") continue;
$array_avators[] = basename($filename);
}
 $total = count($array_avators);
if ($total>0){
if ($start < 0 || $start > $total){$start = 0;}
if ($total < $start + 5){ $end = $total; }
else {$end = $start + 5; }
echo'<thead><tr><th>Аватарки '.$total.' шт.</th><th></th><th></th><th></th></tr></thead>';
for ($i = $start; $i < $end; $i++){
echo'<tr><td><form action="/?p='.$pages.'&'.SID.'" method="post">
<input type="hidden" name="P_ava" value="'.$array_avators[$i].'">
<input type=image src="images/avatar/'.$array_avators[$i].'">
</form></td>';
echo'<td><form action="/?p='.$pages.'&'.SID.'" method="post">
<input type="hidden" name="P_ava" value="'.$array_avators[$i+5].'">
<input type=image src="images/avatar/'.$array_avators[$i+5].'">
</form></td>';
echo'<td><form action="/?p='.$pages.'&'.SID.'" method="post">
<input type="hidden" name="P_ava" value="'.$array_avators[$i+10].'">
<input type=image src="images/avatar/'.$array_avators[$i+10].'">
</form></td>';
echo'<td><form action="/?p='.$pages.'&'.SID.'" method="post">
<input type="hidden" name="P_ava" value="'.$array_avators[$i+15].'">
<input type=image src="images/avatar/'.$array_avators[$i+15].'">
</form></td></tr>';
}
}
echo'</table>';
page_strnavigation('/?p='.$pages.'&amp;st=1&amp;', 20, $start, $total);
break;
///////////////////////////////////////////////////////////////////////////////////
default:
if(isset($P_edit)){
echo'<h2>'.$P_top.'</h2>';
if($P_edit==3)echo'<div class="warning">При смене пароля вам придется пройти авторизацию заново!</div>';
if(!empty($E_error))echo'<div class="error">'.$E_error.'</div>';
echo'<form method="post" action="'.$link.'edit='.$P_edit.'&amp;'.SID.'" id="form">';
if($P_edit==3){
echo'<div class="field"><label>Новый Пароль:</label><div class="input"><input type="password" name="rpassword"  maxlength="20"></div></div>';
echo'<div class="field"><label>Повторите Пароль:</label><div class="input"><input type="password" name="prpassword"  maxlength="20"></div></div>';
}
if($P_edit==2)echo'<div class="field"><label>Выбери Пол:</label><div class="input"><select name="sex" ><option value="1">Парень</option><option value="2">Девушка</option></select></div></div>';
if($P_edit==1)echo'<div class="field"><label>Новый E-mail:</label><div class="input"><input type="text" name="remail"  maxlength="40" placeholder="'.s_userdan(mail).'"></div></div>';
echo'<div class="field"><label><img src="./protect.php?'.SID.'" alt="" /></label><div class="input"><input type="text" name="rkode" maxlength="5" class="textbox" placeholder="Введите код"></div></div>';
echo'<input type="hidden" name="reris" value="go"><div class="submit"><button type="submit">Изменить</button></div>';
echo'</form>';
}else{
echo'<table summary="Summary Here" cellpadding="0" cellspacing="0" width="100%">';
echo'<thead><tr><th>Наименование</th><th>Данные</th></tr></thead>';
echo'<tbody>';
echo'<tr><td>Логин</td><td><b>'.s_userdan(login).'</b></td></tr>';
echo'<tr><td>E-mail</td><td><b>'.s_userdan(mail).'</b></td></tr>';
echo'<tr><td>Пол</td><td><b>'.$P_pmg.'</b></td></tr>';
echo'<tr><td>Пароль</td><td><b>*******</b></td></tr>';
echo'<tr><td>Дата регистрации</td><td><b>'.$P_timereg .'</b></td></tr>';
echo'</tbody>';
echo'</table>';
}}
/////////////////////////////////////// Навигация
echo'</div><div class="column">';
echo'<div class="holder">';
echo'<h2 class="title"><img src="./images/avatar/'.$P_av.'" height="60" alt="60">Ваш текущий Аватар</h2>';
echo'<p>Выбрать другой Аватар вы можете, перейдя по ссылке изменить.</p>';
echo'<p class="readmore"><a href="/?p='.$pages.'&amp;st=1&'.SID.'">Изменить &raquo;</a></p>';
echo'</div>';
echo'<div class="subnav">';
echo'<h2>Настройки</h2>';
echo'<ul>';
echo'<li><a href="'.$link.'edit=1&amp;'.SID.'">Сменить E-mail</a></li>';
echo'<li><a href="'.$link.'edit=2&amp;'.SID.'">Изменить Пол</a></li>';
echo'<li><a href="'.$link.'edit=3&amp;'.SID.'">Изменить Пароль</a></li>';
echo'<li><a href="'.$link.'exit=exit&amp;'.SID.'">Выйти с Сайта</a></li>';
echo'</ul>';
echo'</div>';
echo'</div>';
///////////////////////////////////// низ
echo'<br class="clear" />';
echo'</div>';
echo'</div>';
}
?>